Skip to content

insertIssue

WRITE

Insert issue.

POST /api/v1/quality/insertIssue
curl -X POST '<your-host>/api/v1/quality/insertIssue' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "priority": "Low",
    "source": "Internal",
    "locationId": "string",
    "nonConformanceTypeId": "string"
  }'
Response
{
  "id": "string",
  "nonConformanceId": "string"
}

Parameters

ParameterType
"Low""Medium""High""Critical"
"Internal""External"
"MRB"

Input schema

schema
{
  "type": "object",
  "properties": {
    "nonConformanceId": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "priority": {
      "type": "string",
      "enum": [
        "Low",
        "Medium",
        "High",
        "Critical"
      ]
    },
    "source": {
      "type": "string",
      "enum": [
        "Internal",
        "External"
      ]
    },
    "locationId": {
      "type": "string"
    },
    "nonConformanceTypeId": {
      "type": "string"
    },
    "openDate": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "nonConformanceWorkflowId": {
      "type": "string"
    },
    "dueDate": {
      "type": "string"
    },
    "closeDate": {
      "type": "string"
    },
    "quantity": {
      "type": "number"
    },
    "requiredActionIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "approvalRequirements": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "MRB"
        ]
      }
    },
    "items": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "jobOperationId": {
      "type": "string"
    },
    "customerId": {
      "type": "string"
    },
    "salesOrderLineId": {
      "type": "string"
    },
    "operationSupplierProcessId": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "name",
    "priority",
    "source",
    "locationId",
    "nonConformanceTypeId"
  ]
}